Jobs
Update registered job
Updates the display name of an accessible registered job.
Updates the display name of an accessible registered job.
Authorization
APIKeyHeader X-API-Key<token>
In: header
Path Parameters
job_id*Job Id
Reusable registered job ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v2/jobs/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "job_id": "job_123", "name": "Product Demo", "job_type": "video", "source_url": "https://cdn.example.com/uploads/product-demo.mp4", "created_at": "2026-07-07T16:00:00Z", "updated_at": "2026-07-07T16:05:00Z", "links": { "self": "/v2/jobs/job_123", "status": "/v2/jobs/job_123/status", "translations": "/v2/jobs/job_123/translations", "subtitles": "/v2/jobs/job_123/subtitles" }}